/***文档注释***********************************************
 * 作者            ：
 * 创建日期     ：2018-04-20
 * 描述            ：质量设计-交付标准
 * 注意事项     ：
 * 遗留BUG   ：
 * 修改日期     ：
 * 修改人员     ：
 * 修改内容     ：
***********************************************************/
package market.Qms.slmord.vo;
import java.io.Serializable;

import market.Qms.slmord.mapper.SlmOrdDesignStdMapper;

import com.hnshituo.basic.vo.BaseVO;
import com.hnshituo.orm.annotation.Column;
import com.hnshituo.orm.annotation.Id;
import com.hnshituo.orm.annotation.Table;

@Table(name="SLM_ORD_DESIGN_STD", namespace=SlmOrdDesignStdMapper.class)
public class SlmOrdDesignStd extends BaseVO implements Serializable {
	/** 
	 * DESIGN_KEY
	 */ 
	@Id
	private String design_key;
	public String getDesign_key() {
		return this.design_key;
	}
	public void setDesign_key(String design_key) {
		this.design_key = design_key;
	}

	/** 
	 * 产品规范码
	 */ 
	@Id
	private String psc;
	public String getPsc() {
		return this.psc;
	}
	public void setPsc(String psc) {
		this.psc = psc;
	}

	/** 
	 * 成分标准索引号
	 */ 
	@Column
	private String cic;
	public String getCic() {
		return this.cic;
	}
	public void setCic(String cic) {
		this.cic = cic;
	}

	/** 
	 * 材质标准索引号
	 */ 
	@Column
	private String pic;
	public String getPic() {
		return this.pic;
	}
	public void setPic(String pic) {
		this.pic = pic;
	}

	/** 
	 * 公差标准索引号
	 */ 
	@Column
	private String sic;
	public String getSic() {
		return this.sic;
	}
	public void setSic(String sic) {
		this.sic = sic;
	}

	/** 
	 * 探伤标准索引号
	 */ 
	@Column
	private String dic;
	public String getDic() {
		return this.dic;
	}
	public void setDic(String dic) {
		this.dic = dic;
	}

	/** 
	 * 水压标准索引码
	 */ 
	@Column
	private String wic;
	public String getWic() {
		return this.wic;
	}
	public void setWic(String wic) {
		this.wic = wic;
	}

	/** 
	 * 加工标准索引号
	 */ 
	@Column
	private String gic;
	public String getGic() {
		return this.gic;
	}
	public void setGic(String gic) {
		this.gic = gic;
	}

	/** 
	 * 熔炼成分套数
	 */ 
	@Column
	private Long smelting_cnt;
	public Long getSmelting_cnt() {
		return this.smelting_cnt;
	}
	public void setSmelting_cnt(Long smelting_cnt) {
		this.smelting_cnt = smelting_cnt;
	}

	/** 
	 * 成品成分套数
	 */ 
	@Column
	private Long product_cnt;
	public Long getProduct_cnt() {
		return this.product_cnt;
	}
	public void setProduct_cnt(Long product_cnt) {
		this.product_cnt = product_cnt;
	}

	/** 
	 * 成分偏差索引号
	 */ 
	@Column
	private String cic_bais;
	public String getCic_bais() {
		return this.cic_bais;
	}
	public void setCic_bais(String cic_bais) {
		this.cic_bais = cic_bais;
	}

	/** 
	 * 成分标准索引号(客户要求)
	 */ 
	@Column
	private String cic_k;
	public String getCic_k() {
		return this.cic_k;
	}
	public void setCic_k(String cic_k) {
		this.cic_k = cic_k;
	}

	/** 
	 * 材质标准索引号(客户要求)
	 */ 
	@Column
	private String pic_k;
	public String getPic_k() {
		return this.pic_k;
	}
	public void setPic_k(String pic_k) {
		this.pic_k = pic_k;
	}

	/** 
	 * 公差标准索引号(客户要求)
	 */ 
	@Column
	private String sic_k;
	public String getSic_k() {
		return this.sic_k;
	}
	public void setSic_k(String sic_k) {
		this.sic_k = sic_k;
	}

	/** 
	 * 探伤标准索引号(客户要求)
	 */ 
	@Column
	private String dic_k;
	public String getDic_k() {
		return this.dic_k;
	}
	public void setDic_k(String dic_k) {
		this.dic_k = dic_k;
	}

	/** 
	 * 水压标准索引码(客户要求)
	 */ 
	@Column
	private String wic_k;
	public String getWic_k() {
		return this.wic_k;
	}
	public void setWic_k(String wic_k) {
		this.wic_k = wic_k;
	}

	/** 
	 * 加工标准索引号(客户要求)
	 */ 
	@Column
	private String gic_k;
	public String getGic_k() {
		return this.gic_k;
	}
	public void setGic_k(String gic_k) {
		this.gic_k = gic_k;
	}

	/** 
	 * 熔炼成分套数(客户要求)
	 */ 
	@Column
	private Long smelting_cnt_k;
	public Long getSmelting_cnt_k() {
		return this.smelting_cnt_k;
	}
	public void setSmelting_cnt_k(Long smelting_cnt_k) {
		this.smelting_cnt_k = smelting_cnt_k;
	}

	/** 
	 * 成品成分套数(客户要求)
	 */ 
	@Column
	private Long product_cnt_k;
	public Long getProduct_cnt_k() {
		return this.product_cnt_k;
	}
	public void setProduct_cnt_k(Long product_cnt_k) {
		this.product_cnt_k = product_cnt_k;
	}

	/** 
	 * 成分偏差索引号(客户)
	 */ 
	@Column
	private String cic_bais_k;
	public String getCic_bais_k() {
		return this.cic_bais_k;
	}
	public void setCic_bais_k(String cic_bais_k) {
		this.cic_bais_k = cic_bais_k;
	}

}
